TEMPLATE = app
TARGET = tobuntu-music
INSTALLS += target

QT += network xml sql

LIBS += -L/usr/lib -lqubuntuone

INCLUDEPATH += /usr/include/qubuntuone

CONFIG += link_prl
PKGCONFIG = libqubuntuone

HEADERS += \
    $$files(src/shared/*.h)

SOURCES += \
    $$files(src/shared/*.cpp)

maemo5 {
    system(lupdate src/shared/*.* src/mediaplayer/mobility/*.* src/maemo5/*.* -ts translations/maemo5/base.ts)
    system(cp translations/maemo5/base.ts translations/maemo5/en.ts)
    system(lrelease translations/maemo5/en.ts)

    QT += maemo5 dbus
    DEFINES += MOBLITY_MEDIAPLAYER

    HEADERS += \
        $$files(src/maemo5/*.h)

    SOURCES += \
        $$files(src/maemo5/*.cpp)

    target.path = /opt/tobuntu/bin

    desktop.files = desktop/maemo5/tobuntu.desktop
    desktop.path = /usr/share/applications/hildon

    icon.files = desktop/maemo5/64x64/tobuntu.png
    icon.path = /usr/share/icons/hicolor/64x64/apps

    translations.files += $$files(translations/maemo5/*.qm)
    translations.path = /opt/tobuntu/translations

    INSTALLS += desktop icon translations
}

contains(MEEGO_EDITION,harmattan) {
    system(lupdate src/shared/*.* src/harmattan/*.* -ts translations/harmattan/base.ts)
    system(cp translations/maemo5/base.ts translations/maemo5/en.ts)
    system(lrelease translations/maemo5/en.ts)

    QT += declarative

    target.path = /opt/tobuntu/bin

    desktop.files = desktop/harmattan/tobuntu.desktop
    desktop.path = /usr/share/applications

    icon.files = desktop/harmattan/80x80/tobuntu.png
    icon.path = /usr/share/icons/hicolor/80x80/apps

    translations.files += $$files(translations/harmattan/*.qm)
    translations.path = /opt/tobuntu/translations

    INSTALLS += desktop icon translations
}

contains(DEFINES,MOBLITY_MEDIAPLAYER) {
    maemo5 {
        CONFIG += mobility12
    } else {
        CONFIG += mobility
    }

    MOBILITY += multimedia
    HEADERS += src/mediaplayer/mobility/mediaplayer.h
    SOURCES += src/mediaplayer/mobility/mediaplayer.cpp
}
